> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotglue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrigger a job

> Retriggers a job based on the provided job_root and parameters. Returns the job details for the retriggered job.



## OpenAPI

````yaml post /{env_id}/{flow}/{tenant_id}/jobs/retrigger
openapi: 3.1.0
info:
  title: hotglue API
  version: '1.2'
servers:
  - url: https://api.hotglue.com
security:
  - sec0: []
paths:
  /{env_id}/{flow}/{tenant_id}/jobs/retrigger:
    post:
      tags:
        - Jobs
      summary: Retrigger a job
      description: >-
        Retriggers a job based on the provided job_root and parameters. Returns
        the job details for the retriggered job.
      parameters:
        - name: env_id
          in: path
          required: true
          schema:
            type: string
        - name: flow
          in: path
          required: true
          schema:
            type: string
        - name: tenant_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - job_root
              properties:
                job_root:
                  type: string
                  description: The job root (aka s3_root) to retrigger
                skip_sync:
                  type: boolean
                  default: true
                  description: >-
                    Whether to skip or rerun the sync step. If true, the ETL
                    script will use the job's existing synced data.
                skip_etl:
                  type: boolean
                  default: false
                  description: >-
                    Whether to skip or rerun the ETL step. If true, the export
                    step will use the job's existing ETL data.
                skip_webhooks:
                  type: boolean
                  default: false
                  description: Whether to send job status webhooks for the retriggered job.
      responses:
        '200':
          description: Job successfully retriggered
          content:
            application/json:
              schema:
                type: object
                description: The details for the retriggered job.
                properties:
                  job_id:
                    type: string
                    description: The ID of the retriggered job
                  env_id:
                    type: string
                    description: The ID of the environment
                  flow_id:
                    type: string
                    description: The ID of the flow
                  job_name:
                    type: string
                    description: The name of the retriggered job
                  tenant:
                    type: string
                    description: The ID of the tenant
                  s3_root:
                    type: string
                    description: The S3 root of the retriggered job
                examples:
                  Result:
                    value:
                      job_id: 37g_DK
                      env_id: mydomain.hotglue.xyz
                      flow_id: l8odS2mce
                      job_name: l8odS2mce-chargebee-20220119-153011
                      tenant: '12598713'
                      started_by: '12598713'
                      s3_root: 12598713/flows/l8odS2mce/jobs/2022/01/4/19/15/37g_DK
                      start_time: '2022-01-19T15:30:11.731333+00:00'
                      state: {}
                      tap: chargebee
                      status: JOB_CREATED
                      message: ...
                      last_updated: '2022-01-19T15:35:13.982380+00:00'
        '400':
          description: Invalid request (missing job or flow, job still running, etc.)
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````